Skip to main content

Query Realtime Appointment Availability: Funnel

POSThttps://api.propexo.com/crm/v1/appointment-availability/funnel/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    appointment_typestringrequired

    The kind of appointment calendar to query for realtime availability from Funnel

    Show 3 enum values
    SELF_GUIDED_TOURGUIDED_TOURVIDEO
    start_datestring

    The start of the date range to check for availability on. This defaults to the current day.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    days_to_queryinteger

    The number of days (including the start_date) to query appointment availability for. Defaults to 2 days.

    Possible values: >= 1 and <= 5

    Default value: 2

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result object[]required
  • Array [
  • last_seenstringrequired

    The date the record was last seen from the PMS

    calendar_typestringrequired

    The type of calendar

    Show 3 enum values
    AGENT_CALENDARPROPERTY_CALENDARENTRATA_SELF_GUIDED_TOUR_CALENDAR
    x_agent_idstring | nullnullablerequired

    The external ID of the agent from the integration vendor

    agent_first_namestring | nullnullablerequired

    The first name associated with the employee

    agent_last_namestring | nullnullablerequired

    The last name associated with the employee

    default_appointment_lengthnumber | nullnullablerequired

    A default duration for an appointment on this calendar, in minutes

    minimum_appointment_lead_timenumber | nullnullablerequired

    The minimum lead time before which you can book an appointment on this calendar, in minutes

    timezonestring | nullnullablerequired

    The timezone of the calendar, if such metadata is available. Please contact Propexo Support if you are working with properties outside of the United States and Canada as there may be options for populating this field depending on your business case and integration vendor.

    calendar_days object[]required
  • Array [
  • datestringrequired

    Date of the availability

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    day_of_weekstringrequired

    Day of the week

    opening_timestring | nullnullablerequired

    The routine opening time for when the first appointment can be booked into this calendar

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    closing_timestring | nullnullablerequired

    The routine closing time for when the last appointment must complete when being booked into this calendar

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    simultaneous_appointment_modestringrequired

    What kind of simultaneous or double booked appointments are allowed on this calendar

    Show 4 enum values
    SINGLEMULTIPLEUNLIMITEDUNKNOWN
    max_simultaneous_appointmentsnumber | nullnullablerequired

    The maximum number of simultaneous appointments allowed at the same moment in time on this calendar

    available_slots (object | null)[]required
  • Array [
  • startstringrequired

    The start time of the slot

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    endstring | nullnullablerequired

    The end time of the slot which may not be available in all cases

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

  • ]
  • ]
  • x_community_idstring | nullnullablerequired

    The external ID of the community from the integration vendor

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/appointment-availability/funnel/
curl -X POST https://api.propexo.com/crm/v1/appointment-availability/funnel/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"appointment_type": "SELF_GUIDED_TOUR"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": [
{
"last_seen": "string",
"calendar_type": "AGENT_CALENDAR",
"x_agent_id": "string",
"agent_first_name": "string",
"agent_last_name": "string",
"default_appointment_length": 0,
"minimum_appointment_lead_time": 0,
"timezone": "string",
"calendar_days": [
{
"date": "2024-07-29T15:51:28.071Z",
"day_of_week": "string",
"opening_time": "string",
"closing_time": "string",
"simultaneous_appointment_mode": "SINGLE",
"max_simultaneous_appointments": 0,
"available_slots": [
"Unknown Type: object,null"
]
}
],
"x_community_id": "string"
}
]
}